org.springframework.data.relational.core.mapping.event

## Class AbstractRelationalEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>

Type Parameters:
  `E` - the type this event refers to.

All Implemented Interfaces:
  Serializable, RelationalEvent<E>

Direct Known Subclasses:
  RelationalDeleteEvent, RelationalEventWithEntity

    public abstract class AbstractRelationalEvent<E>
    extends ApplicationEvent
    implements RelationalEvent<E>

Base class for mapping events of Spring Data Relational

Since:
  2.0
Author:
  Mark Paluch, Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRelationalEvent(Object source)` Creates an event with the given source.

### Method Summary

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Constructor Detail

#### AbstractRelationalEvent

    public AbstractRelationalEvent(Object source)

Creates an event with the given source. The source might be an entity or an id of an entity, depending on the actual event subclass.

Parameters:
  `source` - must not be null.